VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   1830
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   1830
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer tmrGraph 
      Interval        =   100
      Left            =   2160
      Top             =   0
   End
   Begin VB.PictureBox picGraph 
      Height          =   1575
      Left            =   120
      ScaleHeight     =   101
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   293
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' For some reason, the program isn't copying the
' topmost pixels to the left. If you figure this out,
' let me know at RodStephens@vb-helper.com.

' Pixels we move horizontally at each clock tick.
Private Const m_Dx As Single = 3

Private m_OldValue As Single
' Generate a value.
Private Function NewValue() As Single
Dim new_value As Single

    new_value = m_OldValue + Rnd() * 8 - 4
    If new_value > 99 Then new_value = 99
    If new_value < 1 Then new_value = 1
    NewValue = new_value
End Function

Private Sub Form_Load()
Dim i As Integer

    Randomize
    m_OldValue = 50

    ' Draw on a 1-100 scale vertically and
    ' a pixel scale horizontally.
    picGraph.AutoRedraw = True
    picGraph.ScaleMode = vbPixels
    picGraph.ScaleTop = 100
    picGraph.ScaleHeight = -101

    ' Draw guidelines.
    For i = 20 To 80 Step 20
        picGraph.Line (0, i)-(picGraph.ScaleWidth, i), vbRed
    Next i
    picGraph.Picture = picGraph.Image
End Sub

Private Sub tmrGraph_Timer()
Dim new_value As Integer
Dim i As Integer

    ' Move the old data over.
    picGraph.PaintPicture picGraph.Picture, _
        0, 1, picGraph.ScaleWidth - m_Dx, 101, _
        m_Dx, 1, picGraph.ScaleWidth - m_Dx, 101

    ' Erase the right edge and draw guide lines.
    picGraph.Line (picGraph.ScaleWidth - m_Dx, 1)-(picGraph.ScaleWidth - 1, 101), picGraph.BackColor, BF
    For i = 20 To 80 Step 20
        picGraph.Line (picGraph.ScaleWidth - m_Dx, i)-(picGraph.ScaleWidth, i), vbRed
    Next i

    ' Plot the new value.
    new_value = NewValue()
    picGraph.Line (picGraph.ScaleWidth - 1 - m_Dx, m_OldValue)-(picGraph.ScaleWidth - 1, new_value)
    m_OldValue = new_value

    picGraph.Picture = picGraph.Image
End Sub
